﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Caching;
using System.Configuration;
using CommunityDaysDemo.AppFabric;

namespace CommunityDaysDemo.ObjectModel.Caching
{
    public class CacheFactory
    {
        public static ObjectCache GetCache()
        {
            if (ConfigurationManager.AppSettings["cache"] == "appFabric")
                return new AppFabricCache("communityDaysDemo");

            return MemoryCache.Default;
        }
    }
}
