﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Caching;

namespace CommunityDaysDemo.AppFabric
{
    public class AppFabricOutputCache : OutputCacheProvider
    {
        AppFabricCache cache = new AppFabricCache("communityDaysDemo");

        public override object Add(string key, object entry, DateTime utcExpiry)
        {
            this.Set(key, entry, utcExpiry);
            return entry;
        }

        public override object Get(string key)
        {
            return cache.Get(key);
        }

        public override void Remove(string key)
        {
            cache.Remove(key);
        }

        public override void Set(string key, object entry, DateTime utcExpiry)
        {
            cache.Set(key, entry, utcExpiry);
        }
    }
}
