﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace CommunityDaysDemo.ObjectModel
{
    [MetadataType(typeof(OrderMetadata))]
    public partial class Order
    { 
    }
    public class OrderMetadata
    {
        [Required(ErrorMessage="La data di spedizione è obbligatoria")]
        public DateTime OrderDate { get; set; }

        [Required(ErrorMessage="I costi di spedizione sono obbligatori")]
        [Range(0, 200, ErrorMessage="Costi di spedizione compresi tra 0 e 200€")]
        [DataType(DataType.Currency)]
        [Display(Name = "Spedizione")]
        public decimal Freight { get; set; }
    }
}