﻿using System;
using System.ComponentModel.DataAnnotations;

namespace CommunityDaysDemo.ObjectModel
{
    public class OrderMetadata
    {
        [Required(ErrorMessage="La data ordine è obbligatoria")]
        public DateTime OrderDate { get; set; }
        [DataType(DataType.Currency)]
        [Range(0, 200, ErrorMessage="Errore: spese spedizione comprese tra 0 e 200 €")]
        [Display(Name="Spedizione")]
        public decimal Freight { get; set; }
    }

    [MetadataType(typeof(OrderMetadata))]
    public partial class Order
    { 

    }
}